Gda.Tree – Gda-6.0 Reference Manual

# Tree

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_tree_get_type ()" ) ]
public class Tree : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public bool is_list { get; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public Tree ()

### Methods:

- public void add_manager (TreeManager manager)
- public void clean ()
- public void dump (TreeNode? node, void* stream)
- public unowned TreeNode? get_node (string tree_path, bool use_names)
- public unowned TreeManager get_node_manager (TreeNode node)
- public string get_node_path (TreeNode node)
- public SList<unowned TreeNode> get_nodes_in_path (string? tree_path, bool use_names)
- public void set_attribute (string attribute, Value value, DestroyNotify destroy)
- public bool update_all () throws Error
- public bool update_children (TreeNode? node) throws Error
- public bool update_part (TreeNode node) throws Error

### Signals:

- public virtual signal void node_changed (TreeNode node)
- public virtual signal void node_deleted (string node_path)
- public virtual signal void node_has_child_toggled (TreeNode node)
- public virtual signal void node_inserted (TreeNode node)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref